#include <bits/stdc++.h>
#define ll long long
using namespace std;
const int NMAX=5e5+7;
int n;
ll a[NMAX];

int main()
{
    ios_base::sync_with_stdio(false);
    cin>>n;
    for(int i=1;i<=n;i++) cin>>a[i];
    ll res=1e18;
    for(ll i=0;i<=30;i++)
    {
        ll kolko=n;
        for(int j=1;j<=n;j++) if(a[j]&(1LL<<i)) --kolko;
        kolko=kolko*(1LL<<i);
        /*for(ll t=0;t<=60;t++)
        {
            if(t==i) continue;
            ll kolko3=0;
            for(int j=1;j<=n;j++) if(a[j]&(1LL<<t)) kolko3++;
            if(kolko3==0 || kolko3==n) kolko2=min(kolko2, kolko3*(1ll<<t));
        }*/
        ll sad=0;
        if(i==0) sad=1;
        int kolko2=0;
        for(int j=1;j<=n;j++) if(a[j]&(1LL<<sad)) kolko2++;
        if(kolko2==0 || kolko2==n) kolko+=(1LL<<sad);
        res=min(res, kolko);
    }
    cout<<res;
    return 0;
}